/* uname.c (emx+gcc) */

#include <stdio.h>
#include <sys/utsname.h>

int main (void)
{
  struct utsname name;

  if (uname (&name) != 0)
    perror ("uname");
  else
    printf ("%s %s %s %s %s\n",
            name.sysname, name.nodename, name.release,
            name.version, name.machine);
  return 0;
}
